Uploaded image for project: 'Apache Arrow'
  1. Apache Arrow
  2. ARROW-5256

[Packaging][deb] Failed to build with LLVM 7.1.0

    Details

      Description

      https://travis-ci.org/ursa-labs/crossbow/builds/527710714#L6144-L6157

      CMake Error at cmake_modules/FindLLVM.cmake:33 (find_package):
        Could not find a configuration file for package "LLVM" that is compatible
        with requested version "7.0".
        The following configuration files were considered but not accepted:
          /usr/lib/llvm-7/cmake/LLVMConfig.cmake, version: 7.1.0
          /usr/lib/llvm-7/lib/cmake/llvm/LLVMConfig.cmake, version: 7.1.0
          /usr/lib/llvm-7/share/llvm/cmake/LLVMConfig.cmake, version: 7.1.0
          /usr/lib/llvm-3.8/share/llvm/cmake/LLVMConfig.cmake, version: 3.8.1
          /usr/share/llvm-3.8/cmake/LLVMConfig.cmake, version: 3.8.1
      Call Stack (most recent call first):
        src/gandiva/CMakeLists.txt:31 (find_package)
      

      Can we use "7" instead of "7.0" for ARROW_LLVM_VERSION?

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                kou Sutou Kouhei
                Reporter:
                kou Sutou Kouhei
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0h
                  0h
                  Logged:
                  Time Spent - 40m
                  40m